emfasemfas
Suggestions

Generate Suggestion

Generates a suggestion for an attribute value, given an entity and attribute key

POST
/suggestions
Authorization<token>

API key authentication using Bearer token format. Use: Bearer

In: header

Suggestion generation request

channelId?integer

Channel ID for the suggestion (optional, defaults to default channel of the organization)

entityTypestring

Entity type for the suggestion

Value in"product"
externalIdstring

Product or entity ID for which to generate the suggestion

fieldDefinitionKeystring

Field definition key for the field to generate suggestion for

instructions?string

Instructions for the suggestion generation (optional)

language?string

Language for the suggestion (optional, defaults to base language of the organization)

Response Body

curl -X POST "https://api.emfas.ai/v1/suggestions" \  -H "Content-Type: application/json" \  -d '{    "entityType": "product",    "externalId": "123",    "fieldDefinitionKey": "meta_title"  }'
{
  "metadata": {
    "citations": [
      {
        "title": "string",
        "url": "string"
      }
    ],
    "thinking": "string"
  },
  "suggestion": "Premium quality cotton t-shirt"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}